POST /api/v1/theme/custom
curl --request POST \
--url https://api.scoot.app/api/v1/theme/custom \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"theme": {
"socialThemeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialThemeName": "<string>",
"description": "<string>",
"colorPrimary": "<string>",
"colorSecondary": "<string>",
"colorBackground": "<string>",
"colorGradientBackground": "<string>",
"colorButtonText": "<string>",
"colorButtonBG": "<string>",
"imageFarURI": "<string>",
"imageMidURI": "<string>",
"imageNearURI": "<string>",
"previewImageURI": "<string>",
"minimapImageURI": "<string>",
"imageWidth": 123,
"imageHeight": 123,
"templateId": "<string>",
"defaultArtifactSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"multiSize": true,
"addToMiniMap": true,
"tiles": [
{
"uri": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"uploadStatus": {
"requestStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "<string>",
"progress": 123,
"failureReason": "<string>",
"startedDateTime": "2023-11-07T05:31:56Z",
"endedDateTime": "2023-11-07T05:31:56Z"
}
},
"imageBytes": "aSDinaTvuI8gbWludGxpZnk=",
"imageFarBytes": "aSDinaTvuI8gbWludGxpZnk=",
"imageMidBytes": "aSDinaTvuI8gbWludGxpZnk=",
"imageNearBytes": "aSDinaTvuI8gbWludGxpZnk=",
"imageFarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageMidId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageNearId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.scoot.app/api/v1/theme/custom"
payload = {
"theme": {
"socialThemeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialThemeName": "<string>",
"description": "<string>",
"colorPrimary": "<string>",
"colorSecondary": "<string>",
"colorBackground": "<string>",
"colorGradientBackground": "<string>",
"colorButtonText": "<string>",
"colorButtonBG": "<string>",
"imageFarURI": "<string>",
"imageMidURI": "<string>",
"imageNearURI": "<string>",
"previewImageURI": "<string>",
"minimapImageURI": "<string>",
"imageWidth": 123,
"imageHeight": 123,
"templateId": "<string>",
"defaultArtifactSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"multiSize": True,
"addToMiniMap": True,
"tiles": [
{
"uri": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"uploadStatus": {
"requestStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "<string>",
"progress": 123,
"failureReason": "<string>",
"startedDateTime": "2023-11-07T05:31:56Z",
"endedDateTime": "2023-11-07T05:31:56Z"
}
},
"imageBytes": "aSDinaTvuI8gbWludGxpZnk=",
"imageFarBytes": "aSDinaTvuI8gbWludGxpZnk=",
"imageMidBytes": "aSDinaTvuI8gbWludGxpZnk=",
"imageNearBytes": "aSDinaTvuI8gbWludGxpZnk=",
"imageFarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageMidId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageNearId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
theme: {
socialThemeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
socialThemeName: '<string>',
description: '<string>',
colorPrimary: '<string>',
colorSecondary: '<string>',
colorBackground: '<string>',
colorGradientBackground: '<string>',
colorButtonText: '<string>',
colorButtonBG: '<string>',
imageFarURI: '<string>',
imageMidURI: '<string>',
imageNearURI: '<string>',
previewImageURI: '<string>',
minimapImageURI: '<string>',
imageWidth: 123,
imageHeight: 123,
templateId: '<string>',
defaultArtifactSetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dateCreated: '2023-11-07T05:31:56Z',
multiSize: true,
addToMiniMap: true,
tiles: [{uri: '<string>', x: 123, y: 123, width: 123, height: 123}],
uploadStatus: {
requestStatusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
requestId: '<string>',
progress: 123,
failureReason: '<string>',
startedDateTime: '2023-11-07T05:31:56Z',
endedDateTime: '2023-11-07T05:31:56Z'
}
},
imageBytes: 'aSDinaTvuI8gbWludGxpZnk=',
imageFarBytes: 'aSDinaTvuI8gbWludGxpZnk=',
imageMidBytes: 'aSDinaTvuI8gbWludGxpZnk=',
imageNearBytes: 'aSDinaTvuI8gbWludGxpZnk=',
imageFarId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
imageMidId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
imageNearId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.scoot.app/api/v1/theme/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"socialThemeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialThemeName": "<string>",
"description": "<string>",
"colorPrimary": "<string>",
"colorSecondary": "<string>",
"colorBackground": "<string>",
"colorGradientBackground": "<string>",
"colorButtonText": "<string>",
"colorButtonBG": "<string>",
"imageFarURI": "<string>",
"imageMidURI": "<string>",
"imageNearURI": "<string>",
"previewImageURI": "<string>",
"minimapImageURI": "<string>",
"imageWidth": 123,
"imageHeight": 123,
"templateId": "<string>",
"defaultArtifactSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"multiSize": true,
"addToMiniMap": true,
"tiles": [
{
"uri": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"uploadStatus": {
"requestStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "<string>",
"progress": 123,
"failureReason": "<string>",
"startedDateTime": "2023-11-07T05:31:56Z",
"endedDateTime": "2023-11-07T05:31:56Z"
}
}Theme
Custom Theme
POST
/
api
/
v1
/
theme
/
custom
POST /api/v1/theme/custom
Creates or updates a custom theme.
Authorizations
Body
application/json
Response
200 - application/json
OK
Available options:
LAYERED, SINGLE_IMAGE, SINGLE_COLOR Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

